Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::DbEnvDescriptor`

## Overview

    struct DbEnvDescriptor

A Freeze database environment descriptor.

### Used By

DbEnvDescriptorSeq

### Data Member Index

dbHome

  The home of the database environment (i.e.: the directory where the database files will be stored).

description

  The description of this database environment.

name

  The name of the database environment.

properties

  The configuration properties of the database environment.

## `dbHome`

    string dbHome;

The home of the database environment (i.e.: the directory where the database files will be stored). If empty, the node will provide a default database directory, otherwise the directory must exist.

## `description`

    string description;

The description of this database environment.

## `name`

    string name;

The name of the database environment.

## `properties`

    PropertyDescriptorSeq properties;

The configuration properties of the database environment.

<<< Previous | Home | Next >>>
`IceGrid::CommunicatorDescriptor` | Up | `IceGrid::DeploymentException`